File dữ liệu thị trường
curl --request GET \
--url https://api.ssi.com.vn/api/v3/data/file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.ssi.com.vn/api/v3/data/file"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ssi.com.vn/api/v3/data/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataLink": "<string>",
"code": 123,
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}Dữ liệu thị trường
File dữ liệu thị trường
Lấy đường dẫn file CSV dữ liệu thị trường theo ngày giao dịch và khung thời gian. File dữ liệu sẽ được hệ thống chuẩn bị sẵn và cung cấp đường dẫn tải về trong vòng 30 phút kể từ khi nhận được yêu cầu.
GET
/
api
/
v3
/
data
/
file
File dữ liệu thị trường
Ủy quyền
Access token lấy từ endpoint /api/v3/auth/token hoặc /api/v3/auth/refresh.
Tiêu đề
Định dạng nội dung request body. Chủ yếu là application/json.
Thông tin client gửi request.
Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc định là en
Tham số truy vấn
Mã chứng khoán.
Ngày bắt đầu theo định dạng YYYY/MM/DD.
Ngày kết thúc theo định dạng YYYY/MM/DD. Bắt buộc phải lớn hơn hoặc bằng fromDate.